Upgrading To Episerver Commerce 8 : Virtual path to protected packages is invalid: ”.

When we recently upgraded to Episerver Commerce Manager to Commerce 8 and whenever we tried to view commerce manager, we kept getting a ‘Virtual path to protected packages is invalid: ”.’ error

comemrce_Virtual_path_to_protected_packages_is_invalid

The fix was to remove all traces of EPiServer.Packaging.dll and EPiServer.Packaging.UI.dll from your commerce project. YOU ONLY DO THIS IN YOUR COMMERCE PROJECT.

First, you need to remove the files in ‘modules\_protected’ it’s best to make a file copy of anything you delete as it can be a pain to get them back. Most of these files are needed by the EPi Ui to run.

comemrce_Virtual_path_delted

The next step was to remove the references from the project itself:

episerver_comemrce_virtual_path_deleted_visual_studio

After this, the last step was to check both the dll’s had been removed from the bin directory.  A bit more information about this unsuccessful removal of EPiServer UI Add-ons if not successfully removed, can be found here ( Changes to package locations )

Jon D Jones

Software Architect, Programmer and Technologist Jon Jones is founder and CEO of London-based tech firm Digital Prompt. He has been working in the field for nearly a decade, specializing in new technologies and technical solution research in the web business. A passionate blogger by heart , speaker & consultant from England.. always on the hunt for the next challenge

More Posts

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published. Required fields are marked *